flutter 打包 flutter build apk 报错ProcessException: Process "E:\flutter_app\android\gradlew.bat" ex解决办法

报错:* Error running Gradle:

ProcessException: Process "E:\flutter_app\android\gradlew.bat" exited abnormally:

 

> Configure project :app

WARNING: API 'variant.getMergeAssets()' is obsolete and has been replaced with 'variant.getMergeAssetsProvider()'.

It will be removed at the end of 2019.

For more information, see https://d.android.com/r/tools/task-configuration-avoidance.

To determine what is calling variant.getMergeAssets(), use -Pandroid.debug.obsoleteApi=true on the command line to display more information.

WARNING: API 'variantOutput.getProcessResources()' is obsolete and has been replaced with 'variantOutput.getProcessResourcesProvider()'.

It will be removed at the end of 2019.

For more information, see https://d.android.com/r/tools/task-configuration-avoidance.

To determine what is calling variantOutput.getProcessResources(), use -Pandroid.debug.obsoleteApi=true on the command line to display more information.

Command: E:\flutter_app\android\gradlew.bat app:properties

 

 

解决方法:删除android app build.gradle 中 Variant 的引用

你可能感兴趣的